/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Nov 20 23:54:54 CET 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//#define Q_DISABLE_COPY
/*    QTimer( const QTimer & );
    QTimer &operator=( const QTimer & );
#endif*/
 
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <qtimer.h>

#include "kphysics.h"

static const char *description =
	I18N_NOOP("KPhysics - a simulation program");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kphysics", I18N_NOOP("KPhysics"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2003, Walter Bender", 0, "http://www.wrobix.de/", "junk@wrobix.de");
	aboutData.addAuthor("Walter Bender",0, "junk@wrobix.de");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(GraApp);
  }
  else 
  {
    GraApp *gra = new GraApp();
    gra->show();



          //QApplication a( argc, argv );
       /*    QTimer *mt= new QTimer(&app);//QTimer::singleShot( 4*1000, &app, SLOT(quit()) );
                // create and show your widgets
            //return a.exec();
        //QTimer *timer = new QTimer( myObject );
        QObject::connect( mt, SIGNAL(timeout()), gra, SLOT(slotEditCopy()) );
        mt->start( 100, FALSE ); // 2 seconds single-shot timer*/


                                                      
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        gra->openDocumentFile(args->arg(0));
		}
		else
		{
		  gra->openDocumentFile();
		}
		args->clear();
  }
    
  return app.exec();
}  
