
/***************************************************************************
                          mykugel.h  -  description
                             -------------------
    begin                : Son Dez 28 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYKUGEL_H
#define MYKUGEL_H

#include <qcanvas.h>
#include <vector.h>

/**
  *@author 
  */
class MyKugel : public QCanvasEllipse
{
//  Q_OBJECT
public:

  MyKugel(QCanvas* qc);
  ~MyKugel();

  /** Write property of double m_winkel. */
  virtual void setwinkel( const double& _newVal);
  /** Read property of double m_winkel. */
  virtual const double& getwinkel();
  /** Write property of double m_vel. */
  virtual void setvel( const double& _newVal);
  /** Read property of double m_vel. */
  virtual const double& getvel();
  /** Write property of double m_masse. */
  virtual void setmasse( const double& _newVal);
  /** Read property of double m_masse. */
  virtual const double& getmasse();
  /** Write property of double m_radius. */
  virtual void setradius( const double& _newVal);
  /** Read property of double m_radius. */
  virtual const double& getradius();
  /** Write property of bool m_solid. */
  virtual void setsolid( const bool& _newVal);
  /** Read property of bool m_solid. */
  virtual const bool& getsolid();
  /** Write property of double m_ladung. */
  virtual void setladung( const double& _newVal);
  /** Read property of double m_ladung. */
  virtual const double& getladung();
  
  /** The velocity of the ball */
  /** No descriptions */
  void beschl(const Vector& vec);
  void beschl(const double& x,const double& y);
  
private:  
  double m_vel;
  double m_winkel;
  double m_radius;
  double m_masse;
protected:
  bool m_solid;
  double m_ladung;

  };
#endif
