//
// C++ Interface: qcanvasviewmouse
//
// Description: 
//
//
// Author: Walter Bender <junk@wrobix.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QCANVASVIEWMOUSE_H
#define QCANVASVIEWMOUSE_H

#include <qcanvas.h>
#include <qwidget.h>
//#include "kphysics.h"

/**
@author Walter Bender
*/
class QCanvasViewMouse : public QCanvasView
{
//  Q_OBJECT 
//  friend class GraApp;
public:
    QCanvasViewMouse(QWidget * parent);
    void contentsMousePressEvent( QMouseEvent *e );
    void contentsMouseReleaseEvent ( QMouseEvent * e );
    void contentsMouseDoubleClickEvent ( QMouseEvent * e );
    void setMasse(int wert);  
    void setLadung(int wert);    
    void setRadius(int wert);    
    void doonoff();
     
    ~QCanvasViewMouse();
    QWidget *myapp;
    int aktkugelnr;
    int movekugelnr;
    int movex,movey;
    
};   

#endif
