/***************************************************************************
                          rechteckraum.cpp  -  description
                             -------------------
    begin                : Die Dez 30 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "rechteckraum.h"
#include "mykugel.h"
#include <math.h>

RechteckRaum::RechteckRaum(){
}
/** No descriptions */                                                 
RechteckRaum::RechteckRaum(int x1,int y1,int x2,int y2){
  this->x1=x1;
  this->x2=x2;
  this->y1=y1;
  this->y2=y2;
}

RechteckRaum::~RechteckRaum(){
}
/** Read property of int x1. */
const int& RechteckRaum::getx1(){
	return x1;
}
/** Write property of int x1. */
void RechteckRaum::setx1( const int& _newVal){
	x1 = _newVal;
}
/** Read property of int x2. */
const int& RechteckRaum::getx2(){
	return x2;
}
/** Write property of int x2. */
void RechteckRaum::setx2( const int& _newVal){
	x2 = _newVal;
}
/** Read property of int y1. */
const int& RechteckRaum::gety1(){
	return y1;
}
/** Write property of int y1. */
void RechteckRaum::sety1( const int& _newVal){
	y1 = _newVal;
}
/** Read property of int y2. */
const int& RechteckRaum::gety2(){
	return y2;
}
/** Write property of int y2. */
void RechteckRaum::sety2( const int& _newVal){
	y2 = _newVal;
}
//void RechteckRaum::Kantenstoss(MyKugel &akugel){
void RechteckRaum::Kantenstoss(MyKugel*& akugel){
  double winkel=akugel->getwinkel();
 // double geschw=akugel->getvel();
  double r=akugel->getradius();
  
  double newx=akugel->x();
  double newy=akugel->y();

  bool b=false;
  //kugel[i]->setX(kugel[i]->x()+cos(winkel*2*M_PI/360)*10);
  //kugel[i]->setY(kugel[i]->y()+sin(winkel*2*M_PI/360)*10);

  // 270
  if(newx>=x2-r){
    //if(winkel>180){winkel-=360;}
    if(winkel<0){winkel-=(270+winkel)*2;}
    if(winkel>0){winkel+=(90-winkel)*2;}
    if(winkel==0){winkel+=180;}
    newx=x2-r;
    b=true;
  }

  // 90
  if(newx<=x1+r){
    if(winkel<180){winkel-=(90+winkel)*2;}
    if(winkel>180){winkel+=(270-winkel)*2;}
    if(winkel==180){winkel+=180;}
    newx=(x1+r);
    b=true;
  }

  // 0
  if(newy>=y2-r){
    if(winkel<90){winkel-=(0+winkel)*2;}
    if(winkel>90){winkel+=(180-winkel)*2;}
    if(winkel==90){winkel+=180;}
    newy=(y2-r);
    b=true;
  }

  // 180
  if(newy<=x1+r){
    if(winkel<270){winkel-=(180+winkel)*2;}
    if(winkel>270){winkel+=(360-winkel)*2;}
    if(winkel==270){winkel+=180;}
    newy=(x1+r);
    b=true;
  }

  if (winkel>=360){winkel-=360;}
  if (winkel<=0){winkel+=360;}

  if(b==true){
  akugel->setX(akugel->x()-cos(akugel->getwinkel()*2*M_PI/360)*akugel->getvel());
  akugel->setY(akugel->y()-sin(akugel->getwinkel()*2*M_PI/360)*akugel->getvel());
 //akugel->setvel(0);
  }
  akugel->setwinkel(winkel);

 // akugel->setX(newx);
 // akugel->setY(newy);
}
