/***************************************************************************
                          mykugel.cpp  -  description
                             -------------------
    begin                : Son Dez 28 2003
    copyright            : (C) 2003 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mykugel.h"

#include "vector.h"
#include "math.h"

//GraApp::GraApp(QWidget* , const char* name):KMainWindow(0, name)

MyKugel::MyKugel(QCanvas* qc):QCanvasEllipse(qc)
{
 setsolid(false);
 setmasse(1);
 setladung(0);
 setwinkel(0);
 setradius(5);
 setvel(0);
 setSize((int)(getradius()*2),(int)(getradius()*2));
    //kugel[i]->setAngles(0,360);
 setEnabled(true);
 setVisible(true);
    //myPen = new QPen(red,2);
 //   kugel[i]->setPen(QPen(black,3,SolidLine));//myPen);
 //   kugel[i]->setBrush( QBrush( red,SolidPattern ) );
    
}

  
MyKugel::~MyKugel()
{
}

/** Read property of double winkel. */
const double& MyKugel::getwinkel(){
	return m_winkel;
}
/** Write property of double winkel. */
void MyKugel::setwinkel( const double& _newVal){
	m_winkel = _newVal;
}
/** Read property of double vel. */
const double& MyKugel::getvel(){
	return m_vel;
}
/** Write property of double vel. */
void MyKugel::setvel( const double& _newVal){
	if (!getsolid()) {
	m_vel = _newVal;
	}
}
/** Read property of double masse. */
const double& MyKugel::getmasse(){
	return m_masse;
}
/** Write property of double masse. */
void MyKugel::setmasse( const double& _newVal){
	m_masse = _newVal;
}
/** Read property of double radius. */
const double& MyKugel::getradius(){
	return m_radius;
}
/** Write property of double radius. */
void MyKugel::setradius( const double& _newVal){
  setSize((int)(_newVal*2),(int)(_newVal*2));
	m_radius = _newVal;
}
  /** Write property of bool m_solid. */
  void MyKugel::setsolid( const bool& _newVal){
    m_solid = _newVal;
    if (_newVal){setvel(0);}
  }
  /** Read property of bool m_solid. */
  const bool& MyKugel::getsolid(){
    return m_solid;
  }
  /** Write property of double m_ladung. */
  void MyKugel::setladung( const double& _newVal){
    m_ladung = _newVal;
  }
  /** Read property of double m_ladung. */
  const double& MyKugel::getladung(){
    return m_ladung;
  }
/** No descriptions */
void MyKugel::beschl(const Vector& vec){
  if (!getsolid()){
    Vector *vec2,erg;
    vec2=new Vector(m_vel,m_winkel/180*M_PI) ;
    erg=(*vec2+vec);
    m_vel=erg.magnitude();
    m_winkel=erg.direction()/M_PI*180;
    delete vec2;
    
    
    /*double ax,ay;
    ax=vec.componentX();
    ay=vec.componentY();
    
    double vx,vy;
    vx=vec2->componentX();//sin(((m_winkel)*2*M_PI/360))*m_vel;
    vy=vec2->componentY();//cos(((m_winkel)*2*M_PI/360))*m_vel;

    double neuvx,neuvy; 
    neuvx=vx+ax;
    neuvy=vy+ay;
    
    m_vel=hypot(neuvx,neuvy);   
    m_winkel=(atan2(neuvy,neuvx)/M_PI*180);  
    */
  }  
}

void MyKugel::beschl(const double& x,const double& y){
  
  // x,y von aktueller Kugel berechnen aus m_winkel und m_vel
  if (!getsolid()){
  
    double vx,vy;
    vx=cos(((m_winkel)*2*M_PI/360))*m_vel;
    vy=sin(((m_winkel)*2*M_PI/360))*m_vel;

    double neuvx,neuvy; 
    neuvx=(vx-x);
    neuvy=(vy-y);
    
    m_vel=hypot(neuvx,neuvy);   
    m_winkel=(atan2(neuvy,neuvx)/M_PI*180);  

    
    //m_vel=hypot(sin(((m_winkel)*2*M_PI/360))*m_vel+x,cos(((m_winkel)*2*M_PI/360))*m_vel+y);   
    //m_winkel=(atan2(sin(((m_winkel)*2*M_PI/360))*m_vel+x,cos(((m_winkel)*2*M_PI/360))*m_vel+y)/M_PI*180);  
    
      
    /*  Vector *vec2;
    vec2=new Vector(m_vel,m_winkel/180*M_PI) ;
    m_vel=(*vec2+vec).magnitude();
    m_winkel=(*vec2+vec).direction()/M_PI*180;
    delete vec2;
    */
  }  
}


